<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.ezhizao.project.business.mapper.BizInspectionCategoryMapper">

    <resultMap type="cn.ezhizao.project.business.domain.BizInspectionCategory" id="BizInspectionCategoryResult">
        <id column="id" property="id"/>
    </resultMap>

    <delete id="physicalDelete">
        DELETE FROM biz_inspection_category
        <trim prefix=" WHERE" suffix="" suffixOverrides="AND">
            <if test="id != null">
                id = #{id} AND
            </if>
            <if test="keyword != null and keyword != ''">
                AND d.standard like concat('%', #{keyword}, '%')
            </if>
        </trim>
    </delete>
</mapper>
